Bug 804893 - GNOME Shell sometimes hangs hard when entering or leaving overview
GNOME Shell sometimes hangs hard when entering or leaving overview
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
: 806006 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 01:23 EDT by Adam Williamson
Modified: 2013-08-01 02:27 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb trace of the hung state (13.79 KB, text/plain)
2012-03-20 01:23 EDT, Adam Williamson
no flags Details
gnome-shell backtrace (2.90 KB, text/plain)
2012-03-20 10:06 EDT, Michal Ambroz
no flags Details
gnome-shell backtrace2 (16.75 KB, text/plain)
2012-03-20 18:46 EDT, Michal Ambroz
no flags Details
.xsession-errors a few seconds after hitting the bug (9.98 KB, text/plain)
2012-03-21 13:08 EDT, Adam Williamson
no flags Details
.xsession-errors (5.15 KB, application/x-gzip)
2012-03-21 20:49 EDT, Michal Ambroz
no flags Details
.xsession-errors.20120323 (9.46 KB, application/octet-stream)
2012-03-23 14:10 EDT, Michal Ambroz
no flags Details

  None (edit)
Description Adam Williamson 2012-03-20 01:23:50 EDT
Created attachment 571289 [details]
gdb trace of the hung state

As per summary: sometimes when I enter or leave the overview, I think only when doing it with the mouse (so it may relate to the ripple effect), Shell hangs hard - cannot interact with desktop at all. Only way to recover is to ctrl-alt-f2 and kill -9 it (regular kill does not work). Using gnome-shell-3.3.90-2.fc17.x86_64 , graphics card is a GeForce 9600 GT, using nouveau. Others have reported the same / similar bug on test list, https://lists.fedoraproject.org/pipermail/test/2012-March/106162.html .

Attaching a gdb trace from the hung state.
Comment 1 Michal Ambroz 2012-03-20 10:06:35 EDT
Created attachment 571416 [details]
gnome-shell backtrace
Comment 2 Michal Ambroz 2012-03-20 10:15:17 EDT
Have got the same issue, but in my case it doesn't seem to be limited to overview.
Happend to me at least twice today. Last time I remember it happened when I was scrolling in some excell sheet in libreoffice - so something not directly related to gnome-shell.

Only way out is console, killall -9 gnome-shell. The gnome-shell then restarts and the session continues on.

gnome-shell-3.3.90-2.fc17.x86_64
graphic card - Integrated Graphics Chipset: Intel(R) GM45


Best regards
Michal Ambroz
Comment 3 Dan Williams 2012-03-20 14:30:30 EDT
When this happens, grab a copy of ~/.xsession-errors too before you kill the shell and attach, if you can.
Comment 4 Michal Ambroz 2012-03-20 18:46:14 EDT
Created attachment 571560 [details]
gnome-shell backtrace2

This time it was clicking the print button in quanta. Current action doesn't seem to be related.
Comment 5 Michal Ambroz 2012-03-20 18:50:08 EDT
Sorry Dan, read your request too late. I will grab .xsession-errors next time.
Comment 6 Adam Williamson 2012-03-21 13:08:46 EDT
Created attachment 571775 [details]
.xsession-errors a few seconds after hitting the bug

So I just hit this again. I quickly switched to a VT and grabbed .xsession-errors. Unfortunately, as it's not timestamped, I've no idea which, if any, of the messages coincide with the hang :/ Here it is.
Comment 7 Michal Ambroz 2012-03-21 20:46:57 EDT
Here is my log. I just killed gnome-shell again. 
The ---mark--- shows where it happened. The two lines afterwards are just from trying to enter the graphical mode again before killing the gnome-shell.
Hard to say whether any of the lines are directly related to the hangup.
Comment 8 Michal Ambroz 2012-03-21 20:49:12 EDT
Created attachment 571891 [details]
.xsession-errors

.xsession-errors for last couple of hours ending with killing of the gnome-shell with killall -HUP gnome-shell.
Comment 9 Michal Ambroz 2012-03-23 14:10:15 EDT
Created attachment 572356 [details]
.xsession-errors.20120323

I have put some timestamping to crontab. Attached is xsession-errors from the last gnome-shell rampage, this time this is errorlog only from last 30 minutes.

I believe that in my case it is some memory leakage of the gnome-shell.
This time I was lucky to see window with top running, when it was happening.
The virtual memory of gnome-shell is with me normally cca around 1600M VIRT and the resident cca 120M RES. 

During few minutes RES went up first to cca 280. The system started being sluggish at that point and as it probably hit the point, where it needed to do some swapping.

Then the growing of the process speed up and reached 3 500M VIRT, 640M RES withing minute. At that point the shell totally frezzed up. 

It was probably at the point where almost whole physical memory was taken by the RES size of all programs.

Still the mouse was moving and changing its shape according to application bellow, but it was not possible to click applications or switch the focus.

This time i didn't kill the gnome-shell, but some other applications to free some memory. After that gnome-shell was responsive for couple of seconds so it was most probably only waiting to allocate more memory. 

It grew up to 900M RES where it (and whole gnomes session) stopped to be responsive at all and I had to kill it. 

At that time 2GB of physical and 2GB (out of 4GB) were taken on the swap all together.

Best regards
Michal
Comment 10 Owen Taylor 2012-04-20 12:14:51 EDT
*** Bug 806006 has been marked as a duplicate of this bug. ***
Comment 11 Ian Kumlien 2012-09-05 19:35:10 EDT
Could this be related to: https://bugzilla.gnome.org/show_bug.cgi?id=677442

We have stumbled up on this problem with when exchange is configured in a corporate environment.
Comment 12 Ian Kumlien 2012-09-05 19:38:21 EDT
Could this be related to: https://bugzilla.gnome.org/show_bug.cgi?id=677442

We have stumbled up on this problem with when a exchange account is configured properly in evolution in a corporate environment.
Comment 13 Leho Kraav 2013-01-21 11:49:05 EST
Just ran into this with gnome-shell-3.4.2, screen froze, transition effect is partly visible on bottom edge.

I have another machine running 3.6 for a while now and there has been no such freezes.
Comment 14 Fedora End Of Life 2013-07-03 21:43:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 02:27:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.